edgy-backport version doesn't upgrade cleanly (breaking the installation)

Bug #82760 reported by Michael R. Head on 2007-02-01
4
Affects Status Importance Assigned to Milestone
Edgy Backports
Undecided
Unassigned
mediawiki (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: mediawiki

I enabled the backports repository today to gain access to the latest flash package and my mediawiki installation was upgraded to mediawiki1.7. The upgrade doesn't appear to update the installation and now my mediawiki install is in need if manual intervention. The backport probably shouldn't have replaced edgy's mediawiki package since it doesn't upgrade cleanly.

Changed in mediawiki:
status: New → Invalid
Changed in edgy-backports:
status: New → Incomplete
Michael R. Head (burner) wrote :

In what way is this report incomplete?

Scott Kitterman (kitterman) wrote :

There's no actual detail on what manual intervention is needed. What was not clean about the upgrade?

Michael R. Head (burner) wrote :

Well, you have to follow the instructions in /usr/share/doc/mediawiki1.7/README.Debian.gz

Here are the steps:

Upgrading from 1.5 to 1.7 package:
        The upgrade path is really easy compared to 1.4 -> 1.5 upgrade.
        .
        A rapid sketch of what you need to do is as follow:
        1) Dump your database to a text file.
                mysqldump --add-drop-table -u <user> -p <my-database> > /path/to/file.sql
        2) Copy the configuration files from /etc/mediawiki1.5 to /var/lib/mediawiki1.7 and make the
m writable for
             your webserver user -- usualy www-data.
                cp /etc/mediawiki/LocalSettings.php /var/lib/mediawiki1.7
                cp /etc/mediawiki/AdminSettings.php /var/lib/mediawiki1.7 (if exists)
        3) change your working path to /var/lib/mediawiki1.5:
                cd /var/lib/mediawiki1.7
        4) Execute the update script:
                php maintenance/update.php
           This shall need a proper php5 binary, as provided in php5-cli
        5) Execute the rebuildall script:
                php maintenance/rebuildall.php
        6) Copy the old upload directory:
                cp -rf /var/lib/mediawiki1.5/upload/* /var/lib/mediawiki1.7/upload/
        You are done !
        See configuration section of /etc/mediawiki1.7.confile-location for details about
        the place where configuration files may be placed.

Changed in edgy-backports:
status: Incomplete → Confirmed
Michael R. Head (burner) wrote :

BTW, this is standard operating procedure for mediawiki upgrades in Debian, which is why each mediawiki* package has its version number appended in the packagename.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

status invalid
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: http://getfiregpg.org

iEYEARECAAYFAkiyPv4ACgkQpblTBJ2i2pt2tACeKMfuWXBOwHbH3Qnw3VMqFioX
H8AAnjrzHUYmv2SNyCUndmYV0zT4pK0d
=hA6P
-----END PGP SIGNATURE-----

Changed in edgy-backports:
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers